// GET has no body parameters
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-mangopay-client-id',
clientApiKey: 'your-mangopay-api-key',
})
let user = {
Id: "user_m_01JZ8AVM2Y1RWVY1RT396BYW9V",
};
const listUserRecipients = async (userId) => {
return await mangopay.Recipients.getUserRecipients(userId)
.then((response) => {
console.info(response);
return response;
})
.catch((err) => {
console.log(err);
return false;
});
};
listUserRecipients(user.Id);
[
{
"Id": "rec_01JV6ZZG6W0RKG6ZGA3MEY60BZ",
"CreationDate": 1746699783,
"DisplayName": "Alex Smith USD account",
"PayoutMethodType": "LocalBankTransfer",
"RecipientType": "Individual",
"Currency": "USD",
"Country": "US",
"UserId": "user_m_01JV6ZGXBE0VZSF4TEN9JK343Z",
"Status": "CANCELED",
"RecipientScope": "PAYOUT"
},
{
"Id": "rec_01JV70P7J10PRZP0JQQ9CQZFN8",
"CreationDate": 1746622392,
"DisplayName": "Alex Smith EUR account",
"PayoutMethodType": "InternationalBankTransfer",
"RecipientType": "Business",
"Currency": "EUR",
"Country": "FR",
"UserId": "user_m_01JV6ZGXBE0VZSF4TEN9JK343Z",
"Status": "ACTIVE",
"RecipientScope": "PAYOUT"
},
{
"Id": "bankacc_m_01JCN1X2EHWG0JNJNPNQ21CW5G",
"CreationDate": 1723035193,
"DisplayName": null,
"PayoutMethodType": "LocalBankTransfer",
"RecipientType": "Individual",
"Currency": "EUR",
"Country": "FR",
"UserId": "user_m_01JV6ZGXBE0VZSF4TEN9JK343Z",
"Status": "ACTIVE",
"RecipientScope": "PAYOUT"
}
]
Recipients
List Recipients for a User
List recipients created for a UserId
GET
/
v2.01
/
{ClientId}
/
users
/
{UserId}
/
recipients
// GET has no body parameters
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-mangopay-client-id',
clientApiKey: 'your-mangopay-api-key',
})
let user = {
Id: "user_m_01JZ8AVM2Y1RWVY1RT396BYW9V",
};
const listUserRecipients = async (userId) => {
return await mangopay.Recipients.getUserRecipients(userId)
.then((response) => {
console.info(response);
return response;
})
.catch((err) => {
console.log(err);
return false;
});
};
listUserRecipients(user.Id);
[
{
"Id": "rec_01JV6ZZG6W0RKG6ZGA3MEY60BZ",
"CreationDate": 1746699783,
"DisplayName": "Alex Smith USD account",
"PayoutMethodType": "LocalBankTransfer",
"RecipientType": "Individual",
"Currency": "USD",
"Country": "US",
"UserId": "user_m_01JV6ZGXBE0VZSF4TEN9JK343Z",
"Status": "CANCELED",
"RecipientScope": "PAYOUT"
},
{
"Id": "rec_01JV70P7J10PRZP0JQQ9CQZFN8",
"CreationDate": 1746622392,
"DisplayName": "Alex Smith EUR account",
"PayoutMethodType": "InternationalBankTransfer",
"RecipientType": "Business",
"Currency": "EUR",
"Country": "FR",
"UserId": "user_m_01JV6ZGXBE0VZSF4TEN9JK343Z",
"Status": "ACTIVE",
"RecipientScope": "PAYOUT"
},
{
"Id": "bankacc_m_01JCN1X2EHWG0JNJNPNQ21CW5G",
"CreationDate": 1723035193,
"DisplayName": null,
"PayoutMethodType": "LocalBankTransfer",
"RecipientType": "Individual",
"Currency": "EUR",
"Country": "FR",
"UserId": "user_m_01JV6ZGXBE0VZSF4TEN9JK343Z",
"Status": "ACTIVE",
"RecipientScope": "PAYOUT"
}
]
Note – Endpoint returns filtered list by defaultBy default, this endpoint returns only recipients with the
RecipientScope value of PAYOUT. Specify ALL to retrieve both PAYIN and PAYOUT recipients, or PAYIN to retrieve only pay-in recipients.By default, results are sorted by CreationDate in descending order.Path parameters
string
required
The unique identifier of the user.
Query parameters
integer
Start value:
1Default value: 1Indicates the index of the page for the pagination.integer
Min. value:
1; max. value: 100Default value: 10Indicates the number of items returned for each page of the pagination.string
Possible values:
CreationDate:ASC, CreationDate:DESCDefault value: CreationDate:DESCIndicates the direction in which to sort the list.string
Possible values:
ALL, PAYOUT, PAYINDefault value: PAYOUTBy default, this endpoint returns only recipients with the RecipientScope value of PAYOUT.Specify ALL to retrieve both PAYIN and PAYOUT recipients, or PAYIN to retrieve only pay-in recipients.Read more about recipient scopes →Responses
200
200
array (objects)
The list of recipients created for the user.
Show child attributes
Show child attributes
string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
Unix timestamp
The date and time at which the object was created.
string
Length: 1–50; cannot contain:
&,'/ (pattern:^(?!.*[&,'/]).{1,50}$)A user-friendly name to identify the account. This value cannot be changed once the recipient is created.string
Possible values:
InternationalBankTransfer, LocalBankTransferThe payout method of the recipient:LocalBankTransfer– The account can only receive the corresponding localCurrencyfor theCountryvia the domestic payment rail (e.g.EURvia a SEPA local scheme to a SEPA country,GBPvia FPS to aGBaccount,USDvia ACH to aUSaccount, etc). Payouts in non-local currencies return an error.InternationalBankTransfer– The account can receive both non-local currencies via SWIFT and also local currency via domestic rails.
string
Possible values:
Individual, BusinessThe recipient type:Individual– An account held by a natural person, requiring theIndividualRecipientproperty.Business– An account held by a legal entity, requiring theBusinessRecipientproperty.
string
Possible values:
AED, AUD, CAD, CHF, CNH, CZK, DKK, EUR, GBP, HKD, HUF, ILS, JPY, MXN, NOK, NZD, PLN, RON, SAR, SEK, SGD, TRY, USD, ZARThe currency of the recipient.string
Format: Two-letter country code (ISO 3166-1 alpha-2 format)The destination country of the payout method.
string
The unique identifier of the user.
string
Possible values:
PENDING, CANCELED, ACTIVE, DEACTIVATEDThe status of the recipient:PENDING– ForPAYOUTscope recipients, the user must complete SCA before the recipient can becomeACTIVE. ForPAYINscope recipients, the recipient creation is in progress.CANCELED– SCA was not successfully completed and the recipient creation request was canceled. To retry, create another recipient to retrieve anotherPendingUserAction.RedirectUrl. TheCANCELEDstatus does not apply ifRecipientScopeisPAYIN.ACTIVE– Recipient creation was successful (including SCA ifRecipientScopeisPAYOUT) and the recipient is ready to be used for payouts .DEACTIVATED– The recipient has been permanently deactivated and can no longer be used.
string
Possible values:
PAYIN, PAYOUTDefault value: PAYOUTThe scope of the recipient:PAYOUT– Usable for payouts and in pay-in use cases. APAYOUTrecipient can only be created by a user with theUserCategoryOWNERand requires SCA. You need to use the returnedPendingUserAction.RedirectUrlvalue, adding your encodedreturnUrlas a query parameter, to redirect the user to the hosted SCA session so they can complete the necessary steps.PAYIN- Not usable for payouts but only usable for pay-in use cases, such as direct debit and refunds using payouts. APAYINrecipient can be created by a user with theUserCategoryPAYERorOWNER, and does not require SCA.
PAYIN and PAYOUT scopes can be created for either InternationalBankTransfer or LocalBankTransfer, and for either IndividualRecipient or BusinessRecipient, and for any Currency.[
{
"Id": "rec_01JV6ZZG6W0RKG6ZGA3MEY60BZ",
"CreationDate": 1746699783,
"DisplayName": "Alex Smith USD account",
"PayoutMethodType": "LocalBankTransfer",
"RecipientType": "Individual",
"Currency": "USD",
"Country": "US",
"UserId": "user_m_01JV6ZGXBE0VZSF4TEN9JK343Z",
"Status": "CANCELED",
"RecipientScope": "PAYOUT"
},
{
"Id": "rec_01JV70P7J10PRZP0JQQ9CQZFN8",
"CreationDate": 1746622392,
"DisplayName": "Alex Smith EUR account",
"PayoutMethodType": "InternationalBankTransfer",
"RecipientType": "Business",
"Currency": "EUR",
"Country": "FR",
"UserId": "user_m_01JV6ZGXBE0VZSF4TEN9JK343Z",
"Status": "ACTIVE",
"RecipientScope": "PAYOUT"
},
{
"Id": "bankacc_m_01JCN1X2EHWG0JNJNPNQ21CW5G",
"CreationDate": 1723035193,
"DisplayName": null,
"PayoutMethodType": "LocalBankTransfer",
"RecipientType": "Individual",
"Currency": "EUR",
"Country": "FR",
"UserId": "user_m_01JV6ZGXBE0VZSF4TEN9JK343Z",
"Status": "ACTIVE",
"RecipientScope": "PAYOUT"
}
]
// GET has no body parameters
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-mangopay-client-id',
clientApiKey: 'your-mangopay-api-key',
})
let user = {
Id: "user_m_01JZ8AVM2Y1RWVY1RT396BYW9V",
};
const listUserRecipients = async (userId) => {
return await mangopay.Recipients.getUserRecipients(userId)
.then((response) => {
console.info(response);
return response;
})
.catch((err) => {
console.log(err);
return false;
});
};
listUserRecipients(user.Id);
Was this page helpful?
⌘I